<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Latlong.delivery.php 4346 2006-03-06 16:43:19Z andrew@m3.net $
*/

/**
 * @package    MaxPlugins
 * @subpackage DeliveryLimitations
 * @author     Chris Nutting <chris@m3.net>
 */

/**
 * Check to see if this impression contains the valid latitude/longitude.
 *
 * @param string $data The latitude/longitude limitation
 * @param string $ad The operator (either '==' or '!=')
 * @return boolean Whether this impression's latitude/longitude passes this limitation's test.
 */
function MAX_checkGeo_Latlong($data, $ad)
{
    global $geoInfo;
    if ($geoInfo && isset($geoInfo['latitude']) && isset($geoInfo['longitude'])) {
        // Lat/Long present, compare against the limitation
        $data = explode(',', $data);
        $expression = (
            ($geoInfo['latitude'] >= $data[0]) && 
            ($geoInfo['latitude'] <= $data[1]) && 
            ($geoInfo['longitude'] >= $data[2]) && 
            ($geoInfo['longitude'] <= $data[3])
        );

        $operator = $ad == '==';
        return ($expression == $operator);
    } else {
        return ($ad != '==');
    }
}

?>
