<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Channel.delivery.php 4349 2006-03-06 17:51:10Z matteo@beccati.com $
*/

/**
 * @package    MaxPlugins
 * @subpackage DeliveryLimitations
 * @author     Chris Nutting <chris@m3.net>
 */

/**
 * Check to see if this impression contains the valid channel.
 *
 * @param string $data The channel limitation
 * @param string $ad The operator (either '==' or '!=')
 * @return boolean Whether this impression's channel passes this limitation's test.
 */
function MAX_checkSite_Channel($data, $ad, $source)
{
	if (empty($data)) {
		return true;
	}
	
	$limitations = MAX_getChannelLimitations($data, true);
	
    // Include required deliveryLimitation files...
    if(strlen($limitations['acl_plugins'])) {
        $acl_plugins = explode(',', $limitations['acl_plugins']);
        foreach ($acl_plugins as $acl_plugin) {
            list($package, $name) = explode(':', $acl_plugin);
            require_once(MAX_PATH . "/plugins/deliveryLimitations/{$package}/{$name}.delivery.php");
        }
    }
    if (!empty($limitations['compiledlimitation'])) {
        // Set to true in case of error in eval
        $result = true;
        @eval('$result = ('.$limitations['compiledlimitation'].');');
        return ($ad == '==') ? $result : !$result;
    } else {
        return true;
    }
}

?>
