<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: stats-banner-affiliates.php 4419 2006-03-13 11:57:32Z matteo@beccati.com $
*/

// Require the initialisation file
require_once '../../init.php';

// Required files
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/max/other/common.php';
require_once MAX_PATH . '/lib/max/other/html.php';
require_once MAX_PATH . '/lib/max/other/stats.php';
require_once MAX_PATH . '/lib/max/Admin_DA.php';
    
    // Security check
    phpAds_checkAccess(phpAds_Admin + phpAds_Agency + phpAds_Client);

    // Get input variables
    $advertiserId   = MAX_getValue('clientid');
    $campaignId     = MAX_getValue('campaignid');
    $bannerId       = MAX_getValue('bannerid');
    $period_preset  = MAX_getStoredValue('period_preset', 'today');
    $period_start   = MAX_getStoredValue('period_start', date('Y-m-d'));
    $period_end     = MAX_getStoredValue('period_end', date('Y-m-d'));
    $showPublisher  = MAX_getStoredValue('showpublisher', 't');
    $expand         = MAX_getStoredValue('expand', '');
    $hideinactive   = MAX_getStoredValue('hideinactive', ($pref['gui_hide_inactive'] == 't'));
    $listorder      = MAX_getStoredValue('listorder', 'name');
    $orderdirection = MAX_getStoredValue('orderdirection', 'up');
    $aNodes         = MAX_getStoredArray('nodes', array());
    $collapse       = MAX_getValue('collapse');

    // Adjust which nodes are opened closed...
    MAX_adjustNodes($aNodes, $expand, $collapse);
    
    // TODO:  Rewrite this phpAdsNew code...
    // Make sure that the client has access to the banner
    if (!MAX_checkAd($advertiserId, $campaignId, $bannerId)) {
        phpAds_PageHeader('2');
        phpAds_Die ($strAccessDenied, $strNotAdmin);
    }

    $banners = Admin_DA::fromCache('getAds', array('placement_id' => $campaignId), true);
    $anonymous = false;
    foreach ($banners as $banner) {
        $thisBanner = false;
        if ($banner['ad_id'] == $bannerId) {
            $campaign = Admin_DA::fromCache('getPlacement', $banner['placement_id']);
            $anonymous = ($campaign['anonymous'] == 't' && phpAds_isUser(phpAds_Client));
            $showPublisher = $anonymous ? 'f' : $showPublisher;
            $thisBanner = true;
        }
        phpAds_PageContext(phpAds_buildBannerName($banner['ad_id'], $banner['name'], $banner['alt']), "stats-banner-affiliates.php?clientid=$advertiserId&campaignid=$campaignId&bannerid={$banner['ad_id']}", $thisBanner);
    }
    
    if (phpAds_isUser(phpAds_Client))
    {
        $sections[] = '1.2.2.1';
        if (phpAds_isAllowed(phpAds_ModifyBanner)) $sections[] = '1.2.2.2';
        $sections[] = '1.2.2.4';
        
        phpAds_PageHeader('1.2.2.4');
        echo "<img src='images/icon-campaign.gif' align='absmiddle'>&nbsp;".phpAds_getCampaignName($campaignid);
        echo "&nbsp;<img src='images/$phpAds_TextDirection/caret-rs.gif'>&nbsp;";
        echo "<img src='images/icon-banner-stored.gif' align='absmiddle'>&nbsp;<b>".phpAds_getBannerName($bannerid)."</b><br /><br />";
        echo phpAds_buildBannerCode($bannerid)."<br /><br /><br /><br />";
        phpAds_ShowSections($sections);
    }
    elseif (phpAds_isUser(phpAds_Admin) || phpAds_isUser(phpAds_Agency))
    {
        phpAds_PageShortcut($strClientProperties, "advertiser-edit.php?clientid=$advertiserId", 'images/icon-advertiser.gif');
        phpAds_PageShortcut($strCampaignProperties, "campaign-edit.php?clientid=$advertiserId&campaignid=$campaignId", 'images/icon-campaign.gif');
        phpAds_PageShortcut($strBannerProperties, "banner-edit.php?clientid=$advertiserId&campaignid=$campaignId&bannerid=$bannerId", 'images/icon-banner-stored.gif');
        
        phpAds_PageHeader('2.1.2.2.2');
            echo "<img src='images/icon-advertiser.gif' align='absmiddle'>&nbsp;".phpAds_getClientName($advertiserId);
            echo "&nbsp;<img src='images/$phpAds_TextDirection/caret-rs.gif'>&nbsp;";
            echo "<img src='images/icon-campaign.gif' align='absmiddle'>&nbsp;".phpAds_getCampaignName($campaignId);
            echo "&nbsp;<img src='images/$phpAds_TextDirection/caret-rs.gif'>&nbsp;";
            echo "<img src='images/icon-banner-stored.gif' align='absmiddle'>&nbsp;<b>".phpAds_getBannerName($bannerId)."</b><br /><br />";
            echo phpAds_buildBannerCode($bannerId)."<br /><br /><br /><br />";
            phpAds_ShowSections(array('2.1.2.2.1', '2.1.2.2.2'));
    }

    $aDates = MAX_getDatesByPeriod($period_preset, $period_start, $period_end);
    
    // Initialise some parameters
    $pageName = basename($_SERVER['PHP_SELF']);
    $tabindex = 1;
    
    // Display date filter form
    $entityIds = array('clientid'=>$advertiserId,'campaignid'=>$campaignId,'bannerid'=>$bannerId);
    MAX_displayDateSelectionForm($period_preset, $aDates, $pageName, $tabindex, $entityIds);
    
    phpAds_ShowBreak();
    
    $aParams = array('ad_id' => $bannerId);
    $aZones = Admin_DA::getAdZones($aParams, false, 'zone_id');
    $aParams += array('zone_id' => implode(',', array_keys($aZones)));
    
    if ($showPublisher == 't') {
        MAX_displayPublisherZoneStats($aParams, $pageName, $anonymous, $aNodes, $expand, $listorder, $orderdirection, $hideinactive, $showPublisher, $entityIds);
    } else {
        MAX_displayZoneStats($aParams, $pageName, $anonymous, $aNodes, $expand, $listorder, $orderdirection, $hideinactive, $showPublisher, $entityIds);
    }
    
    // Store preferences
    $session['prefs'][$pageName]['expand'] = $expand;
    $session['prefs'][$pageName]['hideinactive'] = $hideinactive;
    $session['prefs'][$pageName]['listorder'] = $listorder;
    $session['prefs'][$pageName]['nodes'] = implode (",", $aNodes);
    $session['prefs'][$pageName]['orderdirection'] = $orderdirection;
    $session['prefs'][$pageName]['period_preset'] = $period_preset;
    $session['prefs'][$pageName]['period_start'] = $period_start;
    $session['prefs'][$pageName]['period_end'] = $period_end;
    $session['prefs'][$pageName]['showpublisher'] = $showPublisher;
    phpAds_SessionDataStore();
    
    // Display page footer
    phpAds_PageFooter();
    
?>
