<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: tracker-variables.php 4346 2006-03-06 16:43:19Z andrew@m3.net $
*/

// Require the initialisation file
require_once '../../init.php';

// Required files
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';

// Security check
phpAds_checkAccess(phpAds_Admin + phpAds_Agency);

// Register input variables
phpAds_registerGlobal (
	'action'
);


/*-------------------------------------------------------*/
/* Affiliate interface security                          */
/*-------------------------------------------------------*/

if (phpAds_isUser(phpAds_Agency))
{
	$query = "SELECT c.clientid as clientid".
		" FROM ".$conf['table']['prefix'].$conf['table']['clients']." AS c".
		",".$conf['table']['prefix'].$conf['table']['trackers']." AS t".
		" WHERE t.clientid=c.clientid".
		" AND c.clientid='".$clientid."'".
		" AND t.trackerid='".$trackerid."'".
		" AND c.agencyid=".phpAds_getUserID();

	$res = phpAds_dbQuery($query)
		or phpAds_sqlDie();
	
	if (phpAds_dbNumRows($res) == 0)
	{
		phpAds_PageHeader("1");
		phpAds_Die ($strAccessDenied, $strNotAdmin);
	}
}



/*-------------------------------------------------------*/
/* HTML framework                                        */
/*-------------------------------------------------------*/

if (!isset($variables))
	if (isset($session['prefs']['tracker-variables.php']['variables']) && $session['prefs']['tracker-variables.php']['trackerid']==$trackerid)
		$variables = $session['prefs']['tracker-variables.php']['variables'];



if (isset($trackerid) && $trackerid != '')
{

	if (!isset($variables))
	{
		// get variables from db
		$variables_result = phpAds_dbQuery(
			"SELECT 
				*
			 FROM 
				".$conf['table']['prefix'].$conf['table']['variables']."
			WHERE trackerid='".$trackerid."'"
		) or phpAds_sqlDie();
	
		while ($vars = phpAds_dbFetchArray($variables_result))
			$variables[] = $vars;
	}
	else
	{
		// Get values on the form
		for ($f=0; $f < sizeof($variables)+1; $f++)
		if (isset($_POST['name'.$f]))
		{
			$variables[$f]['name'] = $_POST['name'.$f];
			$variables[$f]['description'] = $_POST['description'.$f];
			$variables[$f]['datatype'] = $_POST['datatype'.$f];								
			$variables[$f]['is_basket_value'] = $_POST['is_basket_value'.$f];								
			$variables[$f]['is_unique'] = $_POST['is_unique'.$f];
			// Set window delays
			$uniqueWindowSeconds = 0;
        	if (!empty($_POST['uniquewindow'.$f]))
        	{
        	    $uniqueWindow = $_POST['uniquewindow'.$f];
        		if ($uniqueWindow['second'] != '-')  $uniqueWindowSeconds += (int)$uniqueWindow['second'];
        		if ($uniqueWindow['minute'] != '-')  $uniqueWindowSeconds += (int)$uniqueWindow['minute'] * 60;
        		if ($uniqueWindow['hour'] != '-') 	 $uniqueWindowSeconds += (int)$uniqueWindow['hour'] * 60*60;
        		if ($uniqueWindow['day'] != '-') 	 $uniqueWindowSeconds += (int)$uniqueWindow['day'] * 60*60*24;
        	}
        	$variables[$f]['unique_window'] = $uniqueWindowSeconds;
		}
	}

	// insert a new variable 
	if (isset($action['new']))
			$variables[] = array();


	// has user clicked on save changes?
	if (isset($action['save']))
	{

	    $isUniqueAlreadyExists = false;
		foreach($variables as $k => $v)
		{
			if ($v['is_unique'] !== null) {
			    if($isUniqueAlreadyExists) {
			        $variables[$k]['is_unique'] = $v['is_unique'] = 0;
			    } else {
			        $variables[$k]['is_unique'] = $v['is_unique'] = 1;
			    }
			    $isUniqueAlreadyExists = true;
			}
		    // delete variables from db
			if (isset($v['variableid']) && isset($v['delete']))
				$variables_update = phpAds_dbQuery(
					"DELETE
						FROM ".$conf['table']['prefix'].$conf['table']['variables']."
					WHERE
						variableid=".$v['variableid']."
					LIMIT 1 "
				) or phpAds_sqlDie();
		
		
			// update variable info
			else if (isset($v['variableid']) && !isset($v['delete']))
				$variables_update = phpAds_dbQuery(
					"UPDATE 
						".$conf['table']['prefix'].$conf['table']['variables']."
					 SET
						name 			= '".$v['name']."',
						description 	= '".$v['description']."',
						datatype 		= '".$v['datatype']."',
						is_basket_value	= '".$v['is_basket_value']."',
						is_unique	    = '".$v['is_unique']."',
						unique_window   = '".$v['unique_window']."',
						updated = '".date('Y-m-d H:i:s')."'
					WHERE
						variableid=".$v['variableid']
				) or phpAds_sqlDie();
			

			else
				$variables_insert = phpAds_dbQuery(
					"INSERT INTO ".$conf['table']['prefix'].$conf['table']['variables']."
						(trackerid,
						 name,
						 description,
						 datatype,
						 is_basket_value,
						 is_unique,
						 unique_window,
						 updated)
					VALUES
						(".$trackerid.",
						'".$v['name']."',
						'".$v['description']."',
						'".$v['datatype']."',
						'".$v['is_basket_value']."',
						'".$v['is_unique']."',
						'".$v['unique_window']."',
						'".date('Y-m-d H:i:s')."'
						)"
				) or phpAds_sqlDie();

		}
		
		// unset variables!
		unset	($session['prefs']['tracker-variables.php']);
		phpAds_SessionDataStore();
		
		// Rebuild cache
		require_once MAX_PATH . '/lib/max/deliverycache/cache-'.$conf['delivery']['cache'].'.inc.php';
		phpAds_CacheDelete('what=tracker:' . $trackerid);

		// redirect to the next page
		header 	("Location: tracker-append.php?clientid=".$clientid."&trackerid=".$trackerid);
		exit;
		
	}

}


if (phpAds_isUser(phpAds_Admin) || phpAds_isUser(phpAds_Agency))
{
	//phpAds_PageShortcut($strClientProperties, 'advertiser-edit.php?clientid='.$clientid, 'images/icon-advertiser.gif');
	//phpAds_PageShortcut($strTrackerHistory, 'stats-tracker-history.php?clientid='.$clientid.'&trackerid='.$trackerid, 'images/icon-statistics.gif');


	phpAds_PageHeader("4.1.4.5");
		echo "\t\t\t\t<img src='images/icon-advertiser.gif' align='absmiddle'>&nbsp;".phpAds_getClientName($clientid)."\n";
		echo "\t\t\t\t<img src='images/".$phpAds_TextDirection."/caret-rs.gif'>\n";
		echo "\t\t\t\t<img src='images/icon-tracker.gif' align='absmiddle'>\n";
		echo "\t\t\t\t<b>".phpAds_getTrackerName($trackerid)."</b><br /><br /><br />\n";
		phpAds_ShowSections(array("4.1.4.2", "4.1.4.3", "4.1.4.5", "4.1.4.6", "4.1.4.4"));
}


//Start


if (isset($trackerid) && $trackerid != '')
{

			echo "<form action='".$_SERVER['PHP_SELF']."?trackerid=$trackerid' method='post'>\n";
				echo "<input type='hidden' name='clientid' value='".$clientid."'";
				echo "<input type='hidden' name='trackerid' value='".$trackerid."'";
				echo "<input type='hidden' name='submit' value='true'>";
				echo "<input type='image' name='dummy' src='images/spacer.gif' border='0' width='1' height='1'>\n";
				echo "<br /><br />\n";
				echo "<table border='0' width='100%' cellpadding='0' cellspacing='0'>\n";
					echo "<tr><td height='25' colspan='4' bgcolor='#FFFFFF'><b>".$strVariables."</b></td></tr>\n";
					echo "<tr><td height='1' colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>\n";

		if ($variables)
		{
				
			if (isset($action['del'])) 
			{
				$key = array_keys($action['del']);
				$variables[$key[0]]['delete']= true;
			}
			
					foreach ($variables as $k=>$v)
					{
						if (!isset($v['delete']))
						{
					
							// variable area
							echo "<tr><td height='25' colspan='4' bgcolor='#F6F6F6'>&nbsp;&nbsp;".$strTrackFollowingVars."</td></tr>\n";
							echo "<tr><td colspan='4'><img src='images/break-el.gif' width='100%' height='1'></td></tr>\n";
							echo "<tr><td colspan='4' bgcolor='#F6F6F6'><br /></td></tr>\n";
							echo "<tr height='35' bgcolor='#F6F6F6' valign='top'>\n";
								echo "<td width='100'></td>\n";
								echo "<td width='130'><img src='images/icon-acl.gif' align='absmiddle'>&nbsp;Variable</td>\n";
								echo "<td>\n";
									echo "<table border='0' width='100%' cellpadding='0' cellspacing='0'>\n";
										echo "<tr>\n";
											echo "<td>".$strVariableName."</td>\n";
											echo "<td><input class='flat' type='text' name='name".$k."' value='".$v['name']."'></td>\n";
										echo "</tr>\n";
										echo "<tr><td colspan='2'>&nbsp;</td></tr>\n";
										echo "<tr>\n";
											echo "<td width='200'>".$strVariableDescription."</td>\n";
											echo "<td><input class='flat' type='text' name='description".$k."' value='".$v['description']."'></td>\n";
										echo "</tr>\n";
										echo "<tr><td colspan='2'>&nbsp;</td></tr>\n";
										echo "<tr>\n";
											echo "<td>".$strVariableDataType."</td>\n";
											echo "<td><select name='datatype".$k."'>\n";
											echo "<option ".($v['datatype'] =='string' ? 'selected ' : '')."value='string'>".$strString."</option>\n";
											echo "<option ".($v['datatype'] =='int' 	? 'selected ' : '')."value='int'>".$strNumber."</option>\n";
											echo "</select></td>\n";
										echo "</tr>\n";
										echo "<tr><td colspan='2'>&nbsp;</td></tr>\n";
										echo "<tr>\n";
											echo "<td>".$strVariableIsBasketValue."</td>\n";
											echo "<td>\n";
											    $checked = ($v['is_basket_value']) ? 'checked' : '';
				                                echo "<input type='checkbox' name='is_basket_value".$k."' value='1' $checked>";
											echo "</td>\n";
										echo "</tr>\n";
										echo "<tr><td colspan='2'>&nbsp;</td></tr>\n";
										echo "<tr>\n";
											echo "<td>".$strVariableIsUnique."</td>\n";
											echo "<td>\n";
											    $checked = ($v['is_unique']) ? 'checked' : '';
											    $uniqueCheckboxId = 'uniqueCheckbox'.$k;
											    
											    $seconds_left = $v['unique_window'];
                                                $uniqueWindow['day'] = floor($seconds_left / (60*60*24));
                                                $seconds_left = $seconds_left % (60*60*24);
                                                $uniqueWindow['hour'] = floor($seconds_left / (60*60));
                                                $seconds_left = $seconds_left % (60*60);
                                                $uniqueWindow['minute'] = floor($seconds_left / (60));
                                                $seconds_left = $seconds_left % (60);
                                                $uniqueWindow['second'] = $seconds_left;
											    
											    echo "<table cellpadding='0' cellspacing='0'><tr><td align='left'>";
				                                echo "<input type='checkbox' id='$uniqueCheckboxId' onClick='m3_setRadioCheckbox(this, \"is_unique\")' name='is_unique".$k."' value='$k' $checked'>";
				                                
				                                echo '</td><td>';
				                                
				                                echo "<div id='uniqueWindow$k' style='visibility: hidden;'>";
                                                echo "&nbsp;&nbsp;&nbsp;&nbsp;$strUniqueWindow&nbsp;&nbsp;";
                                                echo "<input id='uniquewindowday$k' class='flat' type='text' size='3' name='uniquewindow{$k}[day]' value='".$uniqueWindow['day']."' onKeyUp=\"m3_formLimitUpdate($k);\"'> ".$strDays." &nbsp;&nbsp;";
                                                echo "<input id='uniquewindowhour$k' class='flat' type='text' size='3' name='uniquewindow{$k}[hour]' value='".$uniqueWindow['hour']."' onKeyUp=\"m3_formLimitUpdate($k);\"'> ".$strHours." &nbsp;&nbsp;";
                                                echo "<input id='uniquewindowminute$k' class='flat' type='text' size='3' name='uniquewindow{$k}[minute]' value='".$uniqueWindow['minute']."' onKeyUp=\"m3_formLimitUpdate($k);\"'> ".$strMinutes." &nbsp;&nbsp;";
                                                echo "<input id='uniquewindowsecond$k' class='flat' type='text' size='3' name='uniquewindow{$k}[second]' value='".$uniqueWindow['second']."' onBlur=\"m3_formLimitBlur($k);\" onKeyUp=\"m3_formLimitUpdate($k);\"'> ".$strSeconds;
				                                echo '</div>';
				                                
				                                echo '</td></tr></table>';
				                                
				                                if($checked) {
				                                    $onLoadUniqueJs = "\nm3_setRadioCheckbox(document.getElementById('$uniqueCheckboxId'), \"is_unique\");";
				                                }
				                                $onLoadUniqueJs .= "\nm3_formLimitUpdate($k);";
                                                
											echo "</td>\n";
										echo "</tr>\n";
									echo "</table>\n";
								echo"</td>\n";
								echo "<td align='right'><input type='image' name='action[del][".$k."]' src='images/icon-recycle.gif' border='0' align='absmiddle' alt='Delete'>&nbsp;&nbsp;</td>";
							echo "</tr>";
							echo "<tr bgcolor='#F6F6F6'>\n";
								echo "<td>&nbsp;</td>\n";
								echo "<td>&nbsp;</td>\n";
								echo "<td colspan='2'></td>\n";
							echo "</tr>\n";
							echo "<tr>";
								echo "<td height='1' colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td>";
							echo "</tr>";
						
						}
					
					}
					
					echo "<tr>";
						echo "<td colspan='4'><img src='images/spacer.gif' width='1' height='10' /></td>";
					echo "</tr>";
					
					echo "<tr>";
						echo "<td colspan='4' align='right'>";
							echo "<img src='images/icon-acl-add.gif' align='absmiddle'>&nbsp;&nbsp;".$strAddVariable."&nbsp;&nbsp;";
							echo "<input type='image' name='action[new]' src='images/".$phpAds_TextDirection."/go_blue.gif' border='0' align='absmiddle' alt='$strSave'>";
						echo "</td>";
					echo "</tr>";
					echo "<tr>";
						echo "<td colspan='4'><img src='images/spacer.gif' width='1' height='10' /></td>\n";
					echo "</tr>";
					echo "<tr>";
						echo "<td colspan='4'>";			
							echo "<input type='submit' name='action[save]' value='Save Changes' tabindex='15'>\n";
						echo "</td>";
					echo "</tr>";
				echo "</form>";
			
			
			echo "</table>";
	
		}
		else
		{
			echo "<tr><td height='25' colspan='4' bgcolor='#F6F6F6'>&nbsp;&nbsp;".$strNoVarsToTrack."</td></tr>\n";
			echo "<tr><td colspan='4'><img src='images/break-el.gif' width='100%' height='1'></td></tr>\n";
		
					echo "<tr>";
						echo "<td colspan='4'><img src='images/spacer.gif' width='1' height='10' /></td>";
					echo "</tr>";
					
					echo "<tr>";
						echo "<td colspan='4' align='right'>";
							echo "<img src='images/icon-acl-add.gif' align='absmiddle'>&nbsp;&nbsp;".$strAddVariable."&nbsp;&nbsp;";
							echo "<input type='image' name='action[new]' src='images/".$phpAds_TextDirection."/go_blue.gif' border='0' align='absmiddle' alt='$strSave'>";
						echo "</td>";
					echo "</tr>";
					echo "<tr>";
						echo "<td colspan='4'><img src='images/spacer.gif' width='1' height='10' /></td>\n";
					echo "</tr>";
					echo "<tr>";
						echo "<td colspan='4'>";			
							echo "<input type='submit' name='action[save]' value='Save Changes' tabindex='15'>\n";
						echo "</td>";
					echo "</tr>";
				echo "</form>";
			
			
			echo "</table>";
		}
		
}
/*-------------------------------------------------------*/
/* Store preferences                                     */
/*-------------------------------------------------------*/

$session['prefs']['tracker-variables.php']['variables'] = $variables;
$session['prefs']['tracker-variables.php']['trackerid'] = $trackerid;
	

phpAds_SessionDataStore();

?>

<script language='JavaScript'>
<!--
    
    function m3_setRadioCheckbox(field, groupName)
	{
		if (document.forms && document.getElementsByTagName)
		{
			var fields = eval('field.form.getElementsByTagName("input");');

			for (i=0; i < fields.length; i++)
			{
				if (fields[i].getAttribute("type").toLowerCase() == "checkbox"
				    && fields[i].name.indexOf(groupName) != -1) {
				    if(fields[i].name != field.name) {
				        fields[i].checked = false;
				        m3_setWindowVisibility('uniqueWindow' + fields[i].value, false);
				    } else {
				        m3_setWindowVisibility('uniqueWindow' + fields[i].value, field.checked);
				    }
				}
			}
		}
	}
	
	function m3_setWindowVisibility(elementName, visibility) {
	    if(visibility) {
	        visible = 'visible';
	    } else {
	        visible = 'hidden';
	    }
	    element = document.getElementById(elementName);
	    if(element) {
		    element.style.visibility = visible;
	    }
	}
	
	function m3_formLimitBlur(key)
	{
		uniquewindowday    = document.getElementById('uniquewindowday' + key);
		uniquewindowhour   = document.getElementById('uniquewindowhour' + key);
		uniquewindowminute = document.getElementById('uniquewindowminute' + key);
		uniquewindowsecond = document.getElementById('uniquewindowsecond' + key);
		
	    if (uniquewindowday.value == '') uniquewindowday.value = '0';
		if (uniquewindowhour.value == '') uniquewindowhour.value = '0';
		if (uniquewindowminute.value == '') uniquewindowminute.value = '0';
		if (uniquewindowsecond.value == '') uniquewindowsecond.value = '0';
		
		m3_formLimitUpdate(key);
	}
	
	function m3_formLimitUpdate(key)
	{
		uniquewindowday    = document.getElementById('uniquewindowday' + key);
		uniquewindowhour   = document.getElementById('uniquewindowhour' + key);
		uniquewindowminute = document.getElementById('uniquewindowminute' + key);
		uniquewindowsecond = document.getElementById('uniquewindowsecond' + key);
		
	    // Set -
		if (uniquewindowhour.value == '-' && uniquewindowday.value != '-') uniquewindowhour.value = '0';
		if (uniquewindowminute.value == '-' && uniquewindowhour.value != '-') uniquewindowminute.value = '0';
		if (uniquewindowsecond.value == '-' && uniquewindowminute.value != '-') uniquewindowsecond.value = '0';
		
		// Set 0
		if (uniquewindowday.value == '0') uniquewindowday.value = '-';
		if (uniquewindowday.value == '-' && uniquewindowhour.value == '0') uniquewindowhour.value = '-';
		if (uniquewindowhour.value == '-' && uniquewindowminute.value == '0') uniquewindowminute.value = '-';
		if (uniquewindowminute.value == '-' && uniquewindowsecond.value == '0') uniquewindowsecond.value = '-';
	}
	
	//m3_formLimitUpdate(document.clientform);
	
	<?php echo $onLoadUniqueJs; ?>
	
//-->
</script>

<?php

phpAds_PageFooter();

?>